using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
	class Program
	{
		static int najmanjeApoena(int broj)
		{
			//1, 2, 5
			int total = 0;

			while (broj != 0)
			{
				if (broj >= 5)
					broj -= 5;
				else if (broj >= 2)
					broj -= 2;
				else if (broj == 1)
					broj -= 1;

				total++;
			}
			return total;
		}

		static void Main(string[] args)
		{
			string unos = Console.ReadLine();
			int n = 0;

			foreach (char c in unos)
			{
				int broj = int.Parse(c.ToString());
				n += najmanjeApoena(broj);
			}
			Console.WriteLine(n);
		}
	}
}